#/bin/bash

ssh R1 << 'EOF'

apt update && apt install -y tcpdump

echo 1 > /proc/sys/net/ipv4/ip_forward

dhclient -v eth0

ip addr add 10.0.0.1/24 dev eth1

ip link set eth1 up

cat > /root/nat.nft << 'ENDNAT'
#!/usr/sbin/nft -f

flush ruleset

table ip nat {
	chain masq {
		type nat hook postrouting priority 100;
		oifname "eth0" counter masquerade
	}
}
ENDNAT

nft -f /root/nat.nft
EOF

ssh H1 << 'EOF'

apt update && install -y tcpdump

ip addr add 10.0.0.2/24 dev eth0
 
ip link set eth0 up

ip route add default via 10.0.0.1 dev eth0
EOF
